跳到主要内容

Boleto

当用户执行或接收 Boleto 支付时,支付数据应发送给 QI Tech。这样,可以根据该数据集对操作所涉及的风险进行分析。

Boleto 对象定义

Request Body
{
"id": "082373263",
"bankslip_direction": "received",
"document_amount": 13725,
"discount_amount": 1000,
"other_deduction_amount": 0,
"interest_amount": 254,
"amount": 12979,
"bankslip_payment_date": "2020-10-07T15:06:25-03:00",
"bankslip_due_date": "2020-10-07",
"bankslip_issuing_date": "2020-10-07",
"description": "BOLETO PARA PAGAMENTO DA MENSALIDADE DE SETEMBRO",
"face_recognition_key": "ef39e206-13d5-48de-b368-6c3bbc6f0222",
"validation_key": "69a59de3-0198-4a26-933a-c1de624c147d",
"payer": {
"id": "182373263",
"type": "legal_person",
"document_number": "07.487.735/0001-69",
"name": "Gioconda Pizzaria e Rotisseria LTDA.",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"email": "mailto@qitech.com.br",
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "13212",
"account_digit": "5",
"account_type": "CACC"
},
"sales_channel": "inbound_sales",
"segment": "Personalité"
},
"recipient": {
"id": "282373263",
"type": "legal_person",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "10552",
"account_digit": "6",
"account_type": "CACC"
}
},
"final_recipient": {
"id": "382373263",
"type": "legal_person",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "10442",
"account_digit": "6",
"account_type": "CACC"
}
},
"source": {
"channel": "internet_banking",
"platform": "android",
"ip": "198.185.056.098",
"session_id": "7839jdqd9a8wd9"
}
}

Boleto 支付必须在转发到处理系统之前发送到 API,以便进行预先欺诈验证。

支付状态表示模型对该 Boleto 返回的决策。以下状态用于 analysis_status 标志:

  • automatically_approved
  • automatically_reproved
  • in_manual_analysis
  • pending

以下是 analysis_status 标志中返回的每个决策的含义:

状态描述
automatically_approved建议批准此 Boleto 支付。
automatically_reproved建议拒绝此 Boleto 支付。
in_manual_analysis建议对此 Boleto 支付进行人工分析。
pendingBoleto 支付正在处理中。
名称类型描述
idstring客户系统中交易的标识符。
此编号对每个 Boleto 支付必须唯一
bankslip_direction枚举Boleto 支付方式。定义客户是支付 Boleto 还是接收 Boleto 支付。
document_amount整数文件金额(分)——如"标准"部分所述。
discount_amount整数对文件金额应用的折扣或减免金额(分)——如"标准"部分所述。
other_deduction_amount整数对文件金额应用的其他扣除额(分)——如"标准"部分所述。
interest_amount整数对文件金额应用的罚款、滞纳金或利息金额(分)——如"标准"部分所述。
amount整数Boleto 最终支付金额——如"标准"部分所述。
bankslip_payment_datedatetimeBoleto 支付的日期和时间,含时区。
bankslip_due_datedateBoleto 到期日期,符合标准格式
descriptionstringBoleto 的描述或备注字段。
face_recognition_keystring面部识别密钥,如果已通过我们的面部识别 API 进行面部识别。
validation_keystring验证密钥,如果已通过我们的验证 API 对客户进行验证测试。
payerbankslip_payer表示支付 Boleto 的自然人或法人的对象。
recipientbankslip_recipient表示 Boleto 受益的自然人或法人的对象。
final_recipientbankslip_recipient表示 Boleto 最终受益的自然人或法人的对象。
sourcesourceSource 类型的对象,描述用于 Boleto 支付的应用程序信息。

bankslip_direction 的枚举值为:payedreceived

发送 Boleto 支付

Request Body
  {
"id": "12345",
...
}
Response Body
  {
"bankslip_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"status": "automatically_approved",
"reason": "rule_decision_enum"
}

要评估 Boleto 支付,只需将 Boleto 类型的对象发送到以下端点:

POST https://api.caas.qitech.app/bankslip/bankslip

查询 Boleto 支付

Response Body
  {
"id": "082373263",
"bankslip_direction": "received",
...
}

要检索 Boleto 支付数据,只需向以下端点发送请求:

GET https://api.caas.qitech.app/bankslip/bankslip/{bankslip_id}

其中 bankslip_id 是发送 Boleto 时在客户系统中使用的交易标识符。

更新 Boleto 支付

Request Body
  {
"bankslip_status": "completed",
"event_date": "2020-10-07T15:06:25-03:00"
}
Response Body
  {
"bankslip_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"bankslip_status": "completed"
}

Boleto 支付创建并分析后,将发送到清算中心进行处理。因此,需要在支付发送时通过以下端点通知支付状态更新:

PUT https://api.caas.qitech.app/bankslip/bankslip/{bankslip_id}

这样可以确保我们的数据库保持更新,并能够识别真正易受欺诈影响的 Boleto 支付。